package com.unis.detectionnum.server.dao;

import com.unis.detectionnum.server.entity.RobotCallRecordDO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;


/**
 *
 * @ClassName: RobotCallRecordDao
 * @Description: RobotCallRecordDao
 * @author ykf
 * @date 2019年12月17日 下午5:22:22
 *
 * @version v1.0
 */
@Repository
public interface RobotCallRecordDao  {
    int deleteByPrimaryKey(Long recordId);

    int insert(RobotCallRecordDO record);

    int insertSelective(RobotCallRecordDO record);

    RobotCallRecordDO selectByPrimaryKey(Long recordId);

    int updateByPrimaryKeySelective(RobotCallRecordDO record);

    int updateByPrimaryKey(RobotCallRecordDO record);
}